<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number106</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.106:</b> Write a JavaScript program to divide an integer by another integer as long as the result is an integer and return the result..</p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 450px; height: auto;">
	  <input type="number" id="num1" placeholder="Enter a Number" style="width: 200px ;margin-top: 5px;"><br>
	  <input type="number" id="num2" placeholder="Enter a Number" style="width: 200px ;margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	  function generate(){
		  var num = + document.getElementById('num1').value;
		  var div = + document.getElementById('num2').value;
			  if(div == 1){
				  document.getElementById('demo').innerHTML=
					  "The Result is:" + num ;
			  } else {
				  while (num % div == 0) {
					  num /= div;
				  }
			  document.getElementById('demo').innerHTML=
			  "The Result is:" + num;
			  }
		  }
	
	</script>
</body>
</html>
